Revision 29 - 01/30/2017 09:17 AM - lmurphey

Adding ability to perform a traceroute

Reference #1705

History

#1 - 01/29/2017 05:57 AM - Luke Murphey

https://www.blog.pythonlibrary.org/2010/06/05/python-running-ping-traceroute-and-more/

https://pypi.python.org/pypi/trparse

https://github.com/ckreibich/tracerouteparser.py

#2 - 01/30/2017 09:08 AM - Luke Murphey

Traceroute is mostly working. However, different IPs are not coming through as expected.

traceroute to google.com (216.58.192.142), 64 hops max, 52 byte packets

 1  10.0.0.1 (10.0.0.1)  1.038 ms  0.816 ms  0.822 ms

 2  192.168.1.254 (192.168.1.254)  15.573 ms  15.801 ms  15.464 ms

 3  * * *

 4  71.145.65.194 (71.145.65.194)  36.139 ms  35.912 ms  36.224 ms

 5  12.83.43.49 (12.83.43.49)  37.626 ms

    12.83.43.53 (12.83.43.53)  38.694 ms

    12.83.43.49 (12.83.43.49)  39.466 ms

 6  12.123.159.53 (12.123.159.53)  37.555 ms  37.048 ms  36.265 ms

 7  12.247.252.14 (12.247.252.14)  36.720 ms  36.827 ms *

 8  108.170.244.1 (108.170.244.1)  36.960 ms

    108.170.243.225 (108.170.243.225)  37.251 ms  42.691 ms

 9  216.239.42.153 (216.239.42.153)  43.823 ms

    216.239.42.149 (216.239.42.149)  36.398 ms  36.445 ms

10  ord36s01-in-f142.1e100.net (216.58.192.142)  36.306 ms  36.542 ms  36.083 ms

 

The output of the Python is:

1  10.0.0.1 (10.0.0.1) 3.138 ms  0.836 ms  0.808 ms

     [exec]  2  192.168.1.254 (192.168.1.254) 15.835 ms  15.833 ms  16.012 ms

     [exec]  3  *  *  *

     [exec]  4  71.145.65.194 (71.145.65.194) 37.867 ms  35.779 ms  35.940 ms

     [exec]  5  12.83.43.53 (12.83.43.53) 38.658 ms

     [exec]  6

     [exec]  7

     [exec]  8  12.123.159.53 (12.123.159.53) 37.552 ms  37.107 ms  36.494 ms

     [exec]  9  12.247.252.10 (12.247.252.10) 37.170 ms
     [exec] 10  *

     [exec] 11  108.170.244.1 (108.170.244.1) 38.603 ms

     [exec] 12  *

     [exec] 13  216.239.42.149 (216.239.42.149) 36.836 ms  36.426 ms

     [exec] 14

     [exec] 15  ord36s01-in-f142.1e100.net (216.58.192.142) 35.794 ms  36.292 ms  36.701 ms

 

It looks like traceroute parser isn't handling multiple different hosts that are returned. Either that, or I'm not outputting them correctly somehow.

#3 - 01/30/2017 09:09 AM - Luke Murphey

webb has a tracert function too. https://github.com/hardikvasa/webb/blob/master/webb/webb.py

#4 - 01/30/2017 09:15 AM - Luke Murphey

I think the problem is that OSX puts probes on different lines in some cases.

Thing is, Windows doesn't seem to show more than one. So maybe dropping that probe is ok.

#5 - 01/30/2017 09:30 AM - Luke Murphey

- % Done changed from 0 to 70

#6 - 01/31/2017 09:09 AM - Luke Murphey

Need to make sure Windows is supported

#7 - 02/02/2017 04:54 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 70 to 100
